/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

@import url("prose.css");

.blog-image {
    width: 100% !important;
    height: auto;
    border-radius: 16px;
    overflow: hidden;
}

.blog-image img {
    width: 100% !important;
    height: auto;
}

.single-blog-container h1, .single-blog-container h2, .single-blog-container h3, .single-blog-container h4, .single-blog-container h5, .single-blog-container h6 {
    line-height: 1.375;
}

.single-blog-container h1 {
    font-size: 3.815rem;
}

.single-blog-container h2 {
    font-size: 3.052rem;
}

.single-blog-container h3 {
    font-size: 2.441rem;
}

.single-blog-container h4 {
    font-size: 1.953rem;
}

.single-blog-container h5 {
    font-size: 1.563rem;
}

.single-blog-container h6 {
    font-size: 1.25rem;
}

.single-blog-container p {
    font-size: 1rem;
}

/* Start Custom Contact Form Styles */
.custom-contact-form {
  display: flex;
  flex-direction: column;
  gap: 24px;
}
.custom-contact-form .form-grid {
  display: grid;
  grid-template-columns: 1fr;
  gap: 24px;
}
.custom-contact-form .form-grid.form-grid-cols-2 {
  grid-template-columns: 1fr 1fr;
}
.custom-contact-form .form-control {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 6px;
}
.custom-contact-form .form-control label {
  font-weight: 600;
  margin-bottom: 6px;
}
.custom-contact-form .form-control label.is-required::after {
  content: " *";
  color: red;
}
.custom-contact-form .form-control input, .custom-contact-form .form-control textarea, .custom-contact-form .form-control select {
  padding: 12px;
  border-radius: 4px;
  background-color: white;
  border: 1px solid #eaeaea;
  outline: none;
}
.custom-contact-form .form-control input:focus, .custom-contact-form .form-control textarea:focus, .custom-contact-form .form-control select:focus {
    border-color: var(--e-global-color-primary) !important;
}
.custom-contact-form .form-footer p {
    display: flex;
    align-items: center;
}
.custom-contact-form .form-footer input {
  background-color: var(--e-global-color-primary);
  border-radius: 100px 100px 100px 100px;
  padding: 15px 20px 15px 20px;
  color: #ffffff;
  border-color: var(--e-global-color-primary) !important;
}

.custom-contact-form .form-footer.btn-full p {
    position: relative;
}
.custom-contact-form .form-footer.btn-full input {
    width: 100%;
}
.custom-contact-form .form-footer.btn-full .wpcf7-spinner {
    position: absolute;
    top: 0;
    right: 12px;
    bottom: 0;
    margin: auto;
    z-index: 5;
}

.custom-contact-form .form-footer input:hover, .custom-contact-form .form-footer input:focus {
  background-color: #0e06ac;
  border-radius: 100px 100px 100px 100px;
  padding: 15px 20px 15px 20px;
  color: #ffffff;
}
.custom-contact-form .form-footer input:hover, .custom-contact-form .form-footer input:disabled {
	opacity: 0.5;
}
.custom-contact-form p {
  margin: 0;
}
.custom-contact-form a {
	text-decoration: underline;
}
.wpcf7-response-output {
  padding: 16px;
  border-radius: 12px;
  font-size: 14px;
  /*background-color: #e5e9ff;*/
  /*color: #010066;*/
  /*border-color: white;*/
}
/* End Custom Contact Form Styles */


/* Start Custom Table Styles */
.schedule-table-horizontal {
  width: 100%;
  border-collapse: collapse;
}

.schedule-table-horizontal th,
.schedule-table-horizontal td {
  text-align: center;
}

.schedule-table-horizontal th {
  background: #e9ecef;
  padding: 16px;
  font-weight: 600;
  border: 1px solid #ddd;
}

.schedule-table-horizontal td {
  padding: 14px;
  border: 1px solid #ddd;
}
/* End Custom Table Styles */